{% extends 'base.html' %}

{% block content %}

<h1> Tasks of the DB </h1>

<div class="d-flex justify-content-between">
    {% if tasks %}

    <div class="sortable list-group col-6">

        {% for task in tasks %}

        <input type="hidden" name="task_order" value="{{ task.pk }}">
        
        <div id="task-{{ task.id }}">
            <div> <label> ID </label>=> {{ task.id }} </div>
            <div id="description-{{ task.id }}"> <label> Description </label>=> {{ task.description }} </div>
            
            {# Les informations sur les utilisateurs #}
            {% include "task/users-per-task.html" %}
            <a href="{% url 'edit-task' task.id %}">Click to Edit</a>
        </div>
        
        <br>
        {% endfor %}

    
    </div>

    {% else %}
        <h1 style="color: red;"> ERREUR 404 </h1>
        <label> (non je rigole il n'y a aucune taches dans la BD c'est tout) </label>
    {% endif %}
</div>

<br>

<div class="pagination">
    <span class="step-links">
        {% if page_obj.has_previous %}
            <a class="btn btn-secondary" href="?page=1">&laquo; first</a>
            <a class="btn btn-primary" href="?page={{ page_obj.previous_page_number }}">previous</a>
        {% endif %}

        <span class="current">
            Page {{ page_obj.number }} of {{ page_obj.paginator.num_pages }}.
        </span>

        {% if page_obj.has_next %}
            <a class="btn btn-primary" href="?page={{ page_obj.next_page_number }}">next</a>
            <a class="btn btn-secondary" href="?page={{ page_obj.paginator.num_pages }}">last &raquo;</a>
        {% endif %}
    </span>
</div>


{% endblock content %}